Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062638 - Failed to start Load/Save Screen Backlight Brightness of acpi_video0.
Summary: Failed to start Load/Save Screen Backlight Brightness of acpi_video0.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 20
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-07 14:58 UTC by Vitaliy Paritskiy
Modified: 2014-06-28 16:02 UTC (History)
10 users (show)

Fixed In Version: systemd-208-19.fc20.x86_64
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-28 16:02:07 UTC


Attachments (Terms of Use)
A photo of shutdown screen. (deleted)
2014-02-07 14:58 UTC, Vitaliy Paritskiy
no flags Details

Description Vitaliy Paritskiy 2014-02-07 14:58:07 UTC
Created attachment 860552 [details]
A photo of shutdown screen.

Description of problem: On boot, unable to reduce backlight from 100 to lower than 90 using Fn buttons. But works well on backwards (from low to full). Can reduce backlight to a desired level using Gnome 3.10 widget.


How reproducible: This problem persist from clean install (Fedora 20 x64), about a time of official release.


Steps to Reproduce:
1. Anytime, when shutting down laptop.


Expected results: Possibility to reduce backlight using Fn buttons. And, remove error from shutdown postscreen.


Additional info:

[vitaliy@laptop ~]$ systemctl status systemd-backlight@acpi_video0.service
systemd-backlight@acpi_video0.service - Load/Save Screen Backlight Brightness of acpi_video0
   Loaded: loaded (/usr/lib/systemd/system/systemd-backlight@.service; static)
   Active: failed (Result: start-limit) since Fri 2014-02-07 14:11:17 WET; 16min ago
     Docs: man:systemd-backlight@.service(8)
  Process: 3355 ExecStart=/usr/lib/systemd/systemd-backlight load %I (code=exited, status=1/FAILURE)
 Main PID: 3355 (code=exited, status=1/FAILURE)

Feb 07 14:11:17 laptop systemd[1]: Failed to start Load/Save Screen Backlight Brightness of acpi_video0.
Feb 07 14:11:18 laptop systemd[1]: Starting Load/Save Screen Backlight Brightness of acpi_video0...
Feb 07 14:11:18 laptop systemd[1]: systemd-backlight@acpi_video0.service start request repeated too quickly, refusing to start.
Feb 07 14:11:18 laptop systemd[1]: Failed to start Load/Save Screen Backlight Brightness of acpi_video0.
Feb 07 14:11:18 laptop systemd[1]: Starting Load/Save Screen Backlight Brightness of acpi_video0...
Feb 07 14:11:18 laptop systemd[1]: systemd-backlight@acpi_video0.service start request repeated too quickly, refusing to start.
Feb 07 14:11:18 laptop systemd[1]: Failed to start Load/Save Screen Backlight Brightness of acpi_video0.
Feb 07 14:11:18 laptop systemd[1]: Starting Load/Save Screen Backlight Brightness of acpi_video0...
Feb 07 14:11:18 laptop systemd[1]: systemd-backlight@acpi_video0.service start request repeated too quickly, refusing to start.
Feb 07 14:11:18 laptop systemd[1]: Failed to start Load/Save Screen Backlight Brightness of acpi_video0.
[vitaliy@laptop ~]$

Comment 1 Vitaliy Paritskiy 2014-02-25 18:37:48 UTC
Laptop model: Asus UX31A.

Did clean re-install of Fedora 20 (+ full update) and noticed that following error was gone:

"Failed to start Load/Save Screen Backlight Brightness of acpi_video0"

Screen backlight (using Fn key) still has the some issue while reducing brightness: unable to reduce less than 90% (it's stuck on 90% and don't move more than that, but still able to go up to 100%). But works well from low to high brightness (from 0% to 100%).

Comment 2 Fabien Archambault 2014-05-30 14:41:16 UTC
Same here with Latitude 6430u

# systemctl status systemd-backlight@acpi_video0.service 
systemd-backlight@acpi_video0.service - Load/Save Screen Backlight Brightness of acpi_video0
   Loaded: loaded (/usr/lib/systemd/system/systemd-backlight@.service; static)
   Active: failed (Result: exit-code) since ven. 2014-05-30 07:22:22 CEST; 9h ago
     Docs: man:systemd-backlight@.service(8)
  Process: 444 ExecStart=/usr/lib/systemd/systemd-backlight load %i (code=exited, status=1/FAILURE)
 Main PID: 444 (code=exited, status=1/FAILURE)

mai 30 07:22:22 evangelion-nerv systemd[1]: systemd-backlight@acpi_video0.service: main process exited, code=exited, status=1/FAILURE
mai 30 07:22:22 evangelion-nerv systemd[1]: Failed to start Load/Save Screen Backlight Brightness of acpi_video0.
mai 30 07:22:22 evangelion-nerv systemd[1]: Unit systemd-backlight@acpi_video0.service entered failed state.

Comment 3 Zbigniew Jędrzejewski-Szmek 2014-06-18 18:04:14 UTC
It's possible that because of kernel version changes (or some hardware being changed), that the allowed range of values has changed, but systemd remembers the old one. I've backported a few patches which sanitize the brightness values. Please check if the udpate (should be available in a few days) fixes things for you.

Comment 4 Fedora Update System 2014-06-19 13:19:42 UTC
systemd-208-18.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/systemd-208-18.fc20

Comment 5 Fedora Update System 2014-06-19 22:56:28 UTC
Package systemd-208-18.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-208-18.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7512/systemd-208-18.fc20
then log in and leave karma (feedback).

Comment 6 Fabien Archambault 2014-06-20 09:13:54 UTC
Does not solve the issue here. Tried after updating then rebooting.

$ rpm -qa | grep systemd
systemd-python-208-18.fc20.x86_64
systemd-libs-208-18.fc20.i686
wine-systemd-1.7.19-1.fc20.noarch
systemd-208-18.fc20.x86_64
systemd-libs-208-18.fc20.x86_64
systemd-python3-208-18.fc20.x86_64

# systemctl status systemd-backlight@acpi_video0.service
systemd-backlight@acpi_video0.service - Load/Save Screen Backlight Brightness of acpi_video0
   Loaded: loaded (/usr/lib/systemd/system/systemd-backlight@.service; static)
   Active: failed (Result: exit-code) since ven. 2014-06-20 11:11:18 CEST; 51s ago
     Docs: man:systemd-backlight@.service(8)
  Process: 443 ExecStart=/usr/lib/systemd/systemd-backlight load %i (code=exited, status=1/FAILURE)
 Main PID: 443 (code=exited, status=1/FAILURE)

juin 20 11:11:18 evangelion-nerv systemd[1]: Starting Load/Save Screen Backlight Brightness of acpi_video0...
juin 20 11:11:18 evangelion-nerv systemd[1]: systemd-backlight@acpi_video0.service: main process exited, code=exited, status=1/FAILURE
juin 20 11:11:18 evangelion-nerv systemd[1]: Failed to start Load/Save Screen Backlight Brightness of acpi_video0.
juin 20 11:11:18 evangelion-nerv systemd[1]: Unit systemd-backlight@acpi_video0.service entered failed state.

Comment 7 Zbigniew Jędrzejewski-Szmek 2014-06-20 12:30:23 UTC
It seems that I messed up a patch. Can you try if http://koji.fedoraproject.org/koji/taskinfo?taskID=7061673 works?

Comment 8 Fabien Archambault 2014-06-20 13:19:52 UTC
After updating with your latest build it works!

# systemctl status systemd-backlight@acpi_video0.service
systemd-backlight@acpi_video0.service - Load/Save Screen Backlight Brightness of acpi_video0
   Loaded: loaded (/usr/lib/systemd/system/systemd-backlight@.service; static)
   Active: inactive (dead)
     Docs: man:systemd-backlight@.service(8)


Thank you.

Comment 9 Vitaliy Paritskiy 2014-06-20 15:06:02 UTC
(In reply to Fedora Update System from comment #4)
> systemd-208-18.fc20 has been submitted as an update for Fedora 20.
> https://admin.fedoraproject.org/updates/systemd-208-18.fc20

Does not solve the issue too. Error log:

Starting Load/Save Screen Backlight Brightness of acpi_video0...
[[1;31mFAILED[0m] Failed to start Load/Save Screen Backlight Brightness of acpi_video0.
See 'systemctl status systemd-backlight@acpi_video0.service' for details.
[[32m  OK  [0m] Started Monitoring of LVM2 mirrors, snapshots etc. using dmeventd or progress polling.
         Starting Load/Save Screen Backlight Brightness of intel_backlight...
[[1;31mFAILED[0m] Failed to start Load/Save Screen Backlight Brightness of intel_backlight.
See 'systemctl status systemd-backlight@intel_backlight.service' for details.
(. . .)
         Starting Load/Save Screen Backlight Brightness of asus::kbd_backlight...
[[1;31mFAILED[0m] Failed to start Load/Save Screen Backlight Brightness of asus::kbd_backlight.

Zbigniew Jędrzejewski-Szmek, unable to check your update because I don't know how to do it.

Comment 10 Greg` 2014-06-22 10:46:41 UTC
(In reply to Vitaliy Paritskiy from comment #9)
> (In reply to Fedora Update System from comment #4)
> > systemd-208-18.fc20 has been submitted as an update for Fedora 20.
> > https://admin.fedoraproject.org/updates/systemd-208-18.fc20
> 
> Does not solve the issue too. Error log:
> 
> Starting Load/Save Screen Backlight Brightness of acpi_video0...
> [[1;31mFAILED[0m] Failed to start Load/Save Screen Backlight Brightness of
> acpi_video0.
> See 'systemctl status systemd-backlight@acpi_video0.service' for details.
> [[32m  OK  [0m] Started Monitoring of LVM2 mirrors, snapshots etc. using
> dmeventd or progress polling.
>          Starting Load/Save Screen Backlight Brightness of intel_backlight...
> [[1;31mFAILED[0m] Failed to start Load/Save Screen Backlight Brightness of
> intel_backlight.
> See 'systemctl status systemd-backlight@intel_backlight.service' for details.
> (. . .)
>          Starting Load/Save Screen Backlight Brightness of
> asus::kbd_backlight...
> [[1;31mFAILED[0m] Failed to start Load/Save Screen Backlight Brightness of
> asus::kbd_backlight.
> 
> Zbigniew Jędrzejewski-Szmek, unable to check your update because I don't
> know how to do it.

you dont know how to grab the rpms from koji?

Comment 11 Zbigniew Jędrzejewski-Szmek 2014-06-22 15:42:18 UTC
> > Zbigniew Jędrzejewski-Szmek, unable to check your update because I don't
> > know how to do it.
> you dont know how to grab the rpms from koji?
The confirmation from comment #8 is enough. The new update (-19) is on its way.

Comment 12 Fedora Update System 2014-06-22 23:55:50 UTC
Package systemd-208-19.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-208-19.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7512/systemd-208-19.fc20
then log in and leave karma (feedback).

Comment 13 Zbigniew Jędrzejewski-Szmek 2014-06-28 16:02:07 UTC
Please reopen if there still are issues.


Note You need to log in before you can comment on or make changes to this bug.